Subject: Making telnetd and rxvt to work...
From: [email-masked] ("Jerome Gay")

13 Aug 1997 03:45:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: "Jerome Gay" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "Gunther Ebert" <[email-masked]>
Original-Cc: <[email-masked]>
X-Priority: 3
X-Msmail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-Mimeole: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

 Gunther-

Yesterday, I evenually solved these problems by doing the following :

1- Ensure the user running inetd has the following rights (change them as
appropriate using User Manager) :
    Act as part of the operating system,
    Create a token object,
    Increase quotas,
    Log on as a service,
    Replace a process level token

2- run 'inetd -d /etc/inetd.conf' ( -d in lowercase, especially when running
from NT command line)

3- ensure /etc/inetd.conf is ok (changing the path of in.telnetd if needed,
and replacing 'root' with the name of the account used to run inetd, sysroot
in my case) :
                telnet  stream  tcp     nowait  sysroot
/usr/local/libexec/in.telnetd

4- ensure you have valid /etc/passwd (and /etc/groups) :
    - LF and not CR/LF format,
    - valid home directory field,
    - /bin/bash and not /bin/sh as login shell
    exemple :         sysroot::500:0::/home/sysroot:/bin/bash

Hope this helps,

Jerome "ZoSo

-----Original Message-----
From: Gunther Ebert <[email-masked]>
To: Jerome Gay <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Wednesday, August 13, 1997 8:27 AM
Subject: Re: login and telnetd

>Jerome Gay wrote:
>>
>> telnetd :
>> when running 'inetd -d /etc/inetd.conf' in one bash session, and running
>> telnet (Sergey's telnet.exe) in another bash session, trying to connect
on
>> localhost, I got :
>>
>> telnet client side :
>> Trying 127.0.0.1...
>> setuid called, and it's not done yet.
>> Connected to pathfinder.[...]
>> Escape character is '^]'.
>> Connection closed by foreign host.
>>
>> in bash session where inetd was started :
>> ...
>> someone wants telnet
>> accept, ctrl 3
>> + Closing from 17
>> 1022 execl /usr/local/libexec/in.telnetd
>> 1022 reaped, status 0x100
>>
>> Is anyone using telnetd successfully ?
>> Any idea ?
>>
>
>Did anyone answer this question? I'm running exactly into this
>problem.
>
>--
>
>Gunther Ebert
>iXOS Anwendungs-Software GmbH
>Angerstrasse 40-42
>D-04177 Leipzig
>
>Phone : +49 341 48503-0
>Fax   : +49 341 48503-99
>E-mail: mailto:[email-masked]
>www   : http://www.ixos-leipzig.de
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".